<?xml version="1.0" encoding="UTF-8"?>

<!--
lists.xsl
2002-10-11
David Wallace Croft (http://www.croftsoft.com/)
-->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="xml" />

<xsl:template match="lists">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>
Lists \ LPDeT
</title>
<base target="_top" />
</head>

<body>
<center>

<h1>
<font face="Arial" color="red">
Electronic Mailing Lists
</font>
</h1>

<table border="0" cellpadding="0" cellspacing="0"><tr><td>
<xsl:apply-templates select="node()"/>
</td></tr></table>

</center>
</body>
</html>

</xsl:template>

<xsl:template match="list">

<p>
<table width="100%" bgcolor="lightgreen"><tr><td>
<table border="0" bgcolor="#CCFFCC" cellpadding="10" cellspacing="0" width="100%">
<tr>
<td valign="top">
<p>
<a href="http://egroups.com/group/{name}" target="_blank">
<xsl:value-of select="name" /></a>
</p>
<p align="justify">
<xsl:apply-templates select="description"/>
</p>
<p>
<form method="get" target="_blank" action="http://egroups.com/subscribe/{name}">
To subscribe, send e-mail to 
<a href="mailto:{name}-subscribe@egroups.com?subject=subscribe">
<xsl:value-of select="name" />-subscribe@egroups.com</a><br />
or
<input type="text" name="user" value="enter your email address here." size="30" />
<input type="submit" value="Subscribe" />
</form>
</p>
</td>
</tr>
</table>
</td></tr></table>
</p>

</xsl:template>

<xsl:template match="@*|node()">
  <xsl:copy><xsl:apply-templates select="@*|node()" /></xsl:copy>
</xsl:template>

</xsl:stylesheet>
