<?xml version="1.0" encoding="UTF-8"?>

<!--
lists.xsl
2004-04-24
David Wallace Croft (http://www.croftsoft.com/)
-->

<xsl:stylesheet version="1.0"
  xmlns="http://www.w3.org/1999/xhtml"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:include href="../xsl/template.xsl" />

<xsl:output method="xml" indent="no" />

<xsl:template match="lists:lists" xmlns:lists="http://www.lptx.org/denton/lists">
  <xsl:apply-templates select="document('lists.xml')/lists/list" />
</xsl:template>

<xsl:template match="/lists/list">

<p>
<table width="100%" bgcolor="lightgreen"><tr><td>
<table border="0" bgcolor="#CCFFCC" cellpadding="10" cellspacing="0" width="100%">
<tr>
<td valign="top">
<p>
<a href="http://egroups.com/group/{name}" target="_blank">
<xsl:value-of select="name" /></a>
</p>
<p align="justify">
<xsl:apply-templates select="description"/>
</p>
<p>
<form method="get" target="_blank" action="http://egroups.com/subscribe/{name}">
To subscribe, send e-mail to 
<a href="mailto:{name}-subscribe@egroups.com?subject=subscribe">
<xsl:value-of select="name" />-subscribe@egroups.com</a><br />
or
<input type="text" name="user" value="enter your email address here." size="30" />
<input type="submit" value="Subscribe" />
</form>
</p>
</td>
</tr>
</table>
</td></tr></table>
</p>

</xsl:template>

</xsl:stylesheet>
