<?xml version="1.0" encoding="UTF-8"?>

<!--
shop.xsl
2002-02-11
David Wallace Croft (http://croftsoft.com/)
-->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="html" />

<xsl:template match="shop">

<html>
<head>
<title>Books \ GameJUG</title>
<base target="_top" />
</head>
<body bgcolor="white">
<table align="center" border="0" cellpadding="0" cellspacing="0" height="100%" width="90%"><tr><td>
<center>
<a href="../">GameJUG</a>
<h1><font face="chevara" color="red">Books</font></h1>
The GameJUG <a href="../treasury/">treasury</a>
earns a 15% commission on books ordered through the following hyperlinks.
<xsl:apply-templates select="category"/>
</center>
</td></tr></table>
<p align="center">
<font size="-1">
&#169; 2002 <a href="../">GameJUG</a>
</font>
</p>
</body>
</html>

</xsl:template>

<xsl:template match="category">

<p>
<table border="10" cellpadding="10">
<caption>
<h2>
<xsl:value-of select="title" />
</h2>
</caption>
<thead>
<th align="left">
Year
</th>
<th align="left">
Title
</th>
</thead>
<tbody>
<xsl:apply-templates select="item" />

<tr>
<td colspan="3" align="center">
<script src="http://rcm.amazon.com/e/cm?t=gamejug&amp;l=st1&amp;search={title}&amp;mode=books&amp;p=13&amp;o=1&amp;amp;lt1=_blank" type="text/JavaScript"></script><noscript>
<map name="boxmap"><area shape="RECT" coords="379, 50, 460, 57" href="http://rcm.amazon.com/e/cm/privacy-policy.html?o=1" target="main" /><area coords="0,0,10000,10000" href="http://www.amazon.com/exec/obidos/redirect-home/gamejug" target="main" /></map><img src="http://rcm-images.amazon.com/images/G/01/rcm/468x60.gif" width="468" height="60" border="0" usemap="#boxmap" alt="Shop at Amazon.com" />
</noscript>
</td>
</tr>

</tbody>
<xsl:apply-templates select="review" />
</table>
</p>

</xsl:template>

<xsl:template match="item">

<tr>
<td>
<a>
  <xsl:attribute name="name">
    <xsl:value-of select="isbn" />
  </xsl:attribute>
</a>
<xsl:value-of select="year" />
</td>
    <td>
      <a target="_blank">
        <xsl:attribute name="href">
          <xsl:text>http://www.amazon.com/exec/obidos/ASIN/</xsl:text>
          <xsl:value-of select="isbn" />
          <xsl:text>/gamejug</xsl:text>
        </xsl:attribute>
        <img border="0" width="58" height="90">
          <xsl:attribute name="src">
            <xsl:text>http://images.amazon.com/images/P/</xsl:text>
            <xsl:value-of select="isbn" />
            <xsl:text>.01.TZZZZZZZ.jpg</xsl:text>
          </xsl:attribute>
        </img>
      </a>
    </td>
<td>
<a target="_blank">
  <xsl:attribute name="href">
    <xsl:text>http://www.amazon.com/exec/obidos/ASIN/</xsl:text>
    <xsl:value-of select="isbn" />
    <xsl:text>/gamejug</xsl:text>
  </xsl:attribute>
  <xsl:value-of select="title" />
</a>
</td>
</tr>

</xsl:template>

<xsl:template match="review">

<tfoot>
<tr>
<td colspan="3" align="center">
<xsl:apply-templates select="node()" />
</td>
</tr>
</tfoot>

</xsl:template>

<xsl:template match="@*|node()">
  <xsl:copy><xsl:apply-templates select="@*|node()" /></xsl:copy>
</xsl:template>

</xsl:stylesheet>