<?xml version="1.0" encoding="utf-8"?>

<stylesheet
  xmlns="http://www.w3.org/1999/XSL/Transform"
  version="1.0"
  xmlns:template="http://www.lptx.org/xsl/template"
  xmlns:xhtml="http://www.w3.org/1999/xhtml">

<output
  method="html"
  indent="no" />

<variable name="content" select="/"/>
<variable name="template" select="document('template.html')"/>

<template match="/">
  <apply-templates select="$template/node()"/>
</template>

<template match="xhtml:title">
  <choose>
    <when test="$content/xhtml:html/xhtml:head/xhtml:title/node()">
      <copy>
        <value-of select="$content/xhtml:html/xhtml:head/xhtml:title/node()"/>
      </copy>
    </when>
    <otherwise>
      <copy>
        <value-of select="current()" />
      </copy>
    </otherwise>
  </choose>
</template>

<template match="template:content">
  <choose>
    <when test="$content/xhtml:html/xhtml:body/node()">
      <apply-templates select="$content/xhtml:html/xhtml:body/node()"/>
    </when>
    <otherwise>
      <apply-templates select="node()"/>
    </otherwise>
  </choose>
</template>

<template match="@*|node()">
  <copy>
    <apply-templates select="@*|node()" />
  </copy>
</template>

</stylesheet>
