<?xml version="1.0" encoding="UTF-8" ?>

<!--
lptx.xsl
2002-12-19
David Wallace Croft (http://www.croftsoft.com/)
-->

<xsl:stylesheet
  version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="html" indent="no" />

<xsl:template match="html">

<html>
<head>
<title><xsl:value-of select="head/title"/></title>
<base target="_top" />
<link rel="shortcut icon" href="/images/shortcut.ico" />
</head>

<body bgcolor="#0000FF">

<p align="center">
  <table border="0" cellpadding="0" cellspacing="0" width="100%" align="center">
    <tr>
      <td align="center">
        <a target="_blank" href="http://www.lp.org/">
          <img border="0" src="denton/images/flag_usa_waiving.gif" width="68" height="50"
            alt="Libertarian Party" />
        </a>
      </td>
      <td align="center">
        <a href="http://www.lp.org/" target="_blank">
          <img border="0" src="images/lp_banner_468.jpg" width="468" height="60" 
            alt="Libertarian Party" />
        </a>
      </td>
      <td align="center">
        <a target="_blank" href="http://www.lptexas.org/">
          <img border="0" src="denton/images/flag_texas_waiving.gif" width="68" height="50"
            alt="Libertarian Party of Texas" />
        </a>
      </td>
    </tr>
  </table>
</p>

<div align="center">
  <center>
  <table border="0" cellpadding="0" cellspacing="0" width="750" bgcolor="#FFFFFF">
    <tr>
      <td width="25" height="25"><img border="0" src="denton/images/cb1.jpg" width="25" height="25" /></td>
      <td height="25"></td>
      <td width="25" height="25"><img border="0" src="denton/images/cb2.jpg" width="25" height="25" /></td>
    </tr>

    <tr>
      <td height="25"></td>
      <td>
        <xsl:apply-templates select="body/node()" />
      </td>
      <td height="25"></td>
    </tr>
    <tr>
      <td width="25" height="25"><img border="0" src="denton/images/cb4.jpg" width="25" height="25" /></td>
      <td height="25"> </td>
      <td width="25" height="25"><img border="0" src="denton/images/cb3.jpg" width="25" height="25" /></td>
    </tr>
  </table>
  </center>
</div>
   
</body>
</html>

</xsl:template>

<xsl:template match="@*|node()">
  <xsl:copy><xsl:apply-templates select="@*|node()" /></xsl:copy>
</xsl:template>

</xsl:stylesheet>
